/***************************************************************************
* $Id: Main.java,v 1.2 2002/03/10 16:08:02 rdale Exp $
**
* Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
* This file is part of an example program for Qt.  This example
* program may be used, distributed and modified without limitation.
**
****************************************************************************/

import org.kde.qt.*;


class Main {

public static void main(String[] args) {
    // Use an interesting font
    QApplication.setFont(new QFont("unifont",16));

    QApplication app = new QApplication(args);

    FontDisplayer m = new FontDisplayer();
    QSize sh = m.centralWidget().sizeHint();
    m.resize(sh.width(),
             sh.height()+3*m.statusBar().height());
    app.setMainWidget(m);
    m.setCaption("Qt Example - QFD");
    m.show();

    app.exec();
    return;
}

	static {
		qtjava.initialize();
	}

}
